### Property

# Gtk Constraint:source

since: 4.0

#### Declaration

    property source: Gtk.ConstraintTarget [ read, write, construct-only ]

#### Description [src]

The source of the constraint.

The constraint will set the `GtkConstraint:target-attribute` property of the target using the `GtkConstraint:source-attribute` property of the source.

Type: | `GtkConstraintTarget`
Available since: | 4.0

Getter method | `gtk_constraint_get_source()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes